Annonce

  •  » Installation
  •  » Passage de la version 2.7. à 2.8 - plugins-Observations

#1 2016-03-08 20:44:01

newdeclic
Membre
Vaucluse
2014-01-26
161

Passage de la version 2.7. à 2.8 - plugins-Observations

Bonsoir,

Sur une galerie  en 2.7.4 avec PHP 5.6 et Mysql : 5.1.3

J'ai fait la mise à jour vers la 2.8 aucun problème .

Ensuite j'ai fait un test avec Piwigo 2.8/ PHP 7.03 :

Voici les warning obtenues :

Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; AMM_PIP has a deprecated constructor in /homepages/40/d507972891/htdocs/famigliaphoto/plugins/AMenuManager/amm_pip.class.inc.php on line 19

Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; Thumbnail_Tooltip_IMG has a deprecated constructor in /homepages/40/d507972891/htdocs/famigliaphoto/plugins/ThumbnailTooltip/include/class.inc.php on line 3

Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; stuffs has a deprecated constructor in /homepages/40/d507972891/htdocs/famigliaphoto/plugins/PWG_Stuffs/class.inc.php on line 5

Warning: Cannot modify header information - headers already sent by (output started at /homepages/40/d507972891/htdocs/famigliaphoto/plugins/AMenuManager/amm_pip.class.inc.php:19) in /homepages/40/d507972891/htdocs/famigliaphoto/include/page_header.php on line 101


D'après ce que je vois (avec mes faibles connaissances )les plugins suivants semblent être la cause de ces warning.

Advanced Menu Manager
Thumbnail tooltip
PWG stuffs

Par ailleurs, il est ensuite impossible de se déconnecter.

En désactivant ces 3 plugins les warning disparaissent la galerie semble fonctionner correctement.

La galerie se situe ici : http://www.famigliaphoto.newdeclic.com

c'est un galerie privée (mais je peux donner  accès à un membre de l'équipe Piwigo)

Voilà, j'espère que ces infos pourront aider l'équipe Piwigo

Merci à l'équipe Piwigo pour son travail.


Hébergement 1and1 - Système d'exploitation (serveur): Linux
Version Piwigo :  2.10.2 - Version PHP : 7.3- Version MySql : 5.7
Bibliothèque graphique: External Imageagick 6.8.9-9
https://newdeclic.com/

Hors ligne

#2 2016-03-08 20:53:35

ddtddt
Équipe Piwigo
Quetigny (21) - France
2007-07-27
16135

Re: Passage de la version 2.7. à 2.8 - plugins-Observations

Bonjour,

Désactive les plugins et tu les réactives 1 à 1

question 1 tu utilise AMM pour faire quoi ?


Vous aimez Piwigo alors n'hésitez pas à participer avec nous, plus d'infos sur la page "Contribuer à Piwigo". Si vous n'avez pas beaucoup de temps et que vous souhaitez nous soutenir vous pouvez aussi le faire par un don.

Hors ligne

#3 2016-03-08 23:45:33

newdeclic
Membre
Vaucluse
2014-01-26
161

Re: Passage de la version 2.7. à 2.8 - plugins-Observations

Merci ddtddt,

Je vais recommencer mes tests demain en désactivant tous les plugin 1 à 1.

Advanced menu manager me permet de modifier mes menus et certain accès à ces menus. A la limite en m'organisant autrement, je dois pouvoir trouver une solution pour cette galerie (en restant sur une présentation standard du thème, ça sera pas facile dans le menu config/menu l'option menu ne permet que de modifier l'ordre des menus ou de les masquer par groupe mais pas en détail comme avec AMM).

A+


Hébergement 1and1 - Système d'exploitation (serveur): Linux
Version Piwigo :  2.10.2 - Version PHP : 7.3- Version MySql : 5.7
Bibliothèque graphique: External Imageagick 6.8.9-9
https://newdeclic.com/

Hors ligne

#4 2016-03-09 06:07:50

ddtddt
Équipe Piwigo
Quetigny (21) - France
2007-07-27
16135

Re: Passage de la version 2.7. à 2.8 - plugins-Observations

newdeclic a écrit:

Merci ddtddt,

Je vais recommencer mes tests demain en désactivant tous les plugin 1 à 1.

Advanced menu manager me permet de modifier mes menus et certain accès à ces menus. A la limite en m'organisant autrement, je dois pouvoir trouver une solution pour cette galerie (en restant sur une présentation standard du thème, ça sera pas facile dans le menu config/menu l'option menu ne permet que de modifier l'ordre des menus ou de les masquer par groupe mais pas en détail comme avec AMM).

A+

Met à jour aussi les plugins AMM a été corrigé cette nuit


Vous aimez Piwigo alors n'hésitez pas à participer avec nous, plus d'infos sur la page "Contribuer à Piwigo". Si vous n'avez pas beaucoup de temps et que vous souhaitez nous soutenir vous pouvez aussi le faire par un don.

Hors ligne

#5 2016-03-09 09:06:31

newdeclic
Membre
Vaucluse
2014-01-26
161

Re: Passage de la version 2.7. à 2.8 - plugins-Observations

Bonjour ddtddt,

J'ai suivi tes conseils,

Sur la même galerie citée ci-dessous en version 2.8, PHP 7.0.3 thème élégant

http://www.famigliaphoto.newdeclic.com

désactivation des plugins 1 a 1 et réactivation les mêmes warning apparaissent.

Les plugiins qui sont incriminés :

Advanced Menu Manager 3.2.9
PWG Stuffs 2.7c
Thumbnail tooltip 1.5

impossible de se déconnecter.

Ensuite remise de la version PHP 5.6 tout semble fonctionner  normalement.

Pour information complémentaire sur une autre galerie en 2.8 PHP 5.6 (thème stripped_responsive donné incompatible 2.8)

http://www.jl.yacono.photos.newdeclic.com/

tout fonctionne sauf au passage en PHP 7 ou j'obtiens les mêmes warning :
Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; AMM_PIP has a deprecated constructor in /homepages/40/d507972891/htdocs/jlyaconophoto/plugins/AMenuManager/amm_pip.class.inc.php on line 19

Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; Piclens has a deprecated constructor in /homepages/40/d507972891/htdocs/jlyaconophoto/plugins/piclens/include/Piclens.class.php on line 8

Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; Thumbnail_Tooltip_IMG has a deprecated constructor in /homepages/40/d507972891/htdocs/jlyaconophoto/plugins/ThumbnailTooltip/include/class.inc.php on line 3

Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; stuffs has a deprecated constructor in /homepages/40/d507972891/htdocs/jlyaconophoto/plugins/PWG_Stuffs/class.inc.php on line 5

Warning: Cannot modify header information - headers already sent by (output started at /homepages/40/d507972891/htdocs/jlyaconophoto/plugins/AMenuManager/amm_pip.class.inc.php:19) in /homepages/40/d507972891/htdocs/jlyaconophoto/include/page_header.php on line 101

Et idem pas de déconnexion possible

En souhaitant que ces infos puissent aider l'équipe Piwigo

A+

Dernière modification par newdeclic (2016-03-09 10:09:07)


Hébergement 1and1 - Système d'exploitation (serveur): Linux
Version Piwigo :  2.10.2 - Version PHP : 7.3- Version MySql : 5.7
Bibliothèque graphique: External Imageagick 6.8.9-9
https://newdeclic.com/

Hors ligne

#6 2016-03-09 09:32:22

ddtddt
Équipe Piwigo
Quetigny (21) - France
2007-07-27
16135

Re: Passage de la version 2.7. à 2.8 - plugins-Observations

Bonjour,

Ok merci pour ces retours


Vous aimez Piwigo alors n'hésitez pas à participer avec nous, plus d'infos sur la page "Contribuer à Piwigo". Si vous n'avez pas beaucoup de temps et que vous souhaitez nous soutenir vous pouvez aussi le faire par un don.

Hors ligne

#7 2016-03-10 09:45:33

flop25
Équipe Piwigo
2006-07-06
6544

Re: Passage de la version 2.7. à 2.8 - plugins-Observations

bonjour
les erreurs de niveau Déprécié ne devraient pas apparaître sur un serveur en "production" Changer le error_reporting de Php selon les possibilités offerte par votre hébergeur ; dans la config locale de Piwigo on peut aussi changer cela je crois, mais il vaut mieux le faire pour tout le site voire mieux tout le serveur

Dernière modification par flop25 (2016-03-10 09:45:55)

Hors ligne

#8 2016-03-10 10:46:24

newdeclic
Membre
Vaucluse
2014-01-26
161

Re: Passage de la version 2.7. à 2.8 - plugins-Observations

flop25 a écrit:

bonjour
les erreurs de niveau Déprécié ne devraient pas apparaître sur un serveur en "production" Changer le error_reporting de Php selon les possibilités offerte par votre hébergeur ; dans la config locale de Piwigo on peut aussi changer cela je crois, mais il vaut mieux le faire pour tout le site voire mieux tout le serveur

Bonjour Flop25,

Merci Flop25 pour ces informations, malheureusement au niveau de mon hébergeur (1and1) je n'ai que la possibilité d'intervenir sur la version de PHP.

Je dois pouvoir intervenir en effet sur la config locale ou peut-être directement dans le fichier PHP.ini mais encore faut-il connaitre les instructions à ajouter, il faut que je fasse quelques recherches.

Par ailleurs, compte tenu de l'incompatibilité avec PHP7 des 3 plugins cité plus haut je suis revenu à la version 5.6

A+


Hébergement 1and1 - Système d'exploitation (serveur): Linux
Version Piwigo :  2.10.2 - Version PHP : 7.3- Version MySql : 5.7
Bibliothèque graphique: External Imageagick 6.8.9-9
https://newdeclic.com/

Hors ligne

  •  » Installation
  •  » Passage de la version 2.7. à 2.8 - plugins-Observations

Pied de page des forums

Propulsé par FluxBB

github twitter newsletter Faire un don Piwigo.org © 2002-2022 · Contact